
function love.load()
  require("anal")                                         --embed bartbes' animation library
  spritesheet = love.graphics.newImage("spritesheet.png") --load the spritesheet image
  spritesheet:setFilter("nearest", "nearest")             --define the interpolation method used by love when it resizes the spritesheet image
  animation = newAnimation(spritesheet, 16, 16, 0.3, 4)   --create the animation object from the spritesheet image, define the width and height, the delay between the frames (in seconds), and how many frames you want to include in the animation object (use 0 to let the library count it automatically)
end

function love.update(dt)
  animation:update(dt)          --ask love to update the animation object, as much as dt seconds, on every frame
end

function love.draw()
  animation:draw(16, 16, 0, 5)  --draw the animation object at (16, 16), upright (0 degree), and scale it up 4 times
  love.graphics.print("[esc] quit application", 16, 108)
end

function love.keypressed(key)
  if key == "escape" or key == "q" then
    love.event.push("q")
  end
end
